Bulletin d'alerte Debian

DSA-689-1 libapache-mod-python -- Entrée non vérifiée

Date du rapport :
23 février 2005
Paquets concernés :
libapache-mod-python
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le dictionnaire CVE du Mitre : CVE-2005-0088.
Plus de précisions :

Graham Dumpleton a découvert une faille qui touche quiconque utilisant le module mod_python de la fondation Apache. Le gestionnaire de publication vous permet de publier des objets à l'intérieur de modules afin de les rendre accessibles par URL. Cette faille permettait d'obtenir grâce à une URL spécifique des informations qui ne devraient pas être visibles (fuite d'informations).

Pour l'actuelle distribution stable (Woody), ces problèmes ont été corrigés dans la version 2.7.8-0.0woody5.

Pour la distribution instable (Sid), ces problèmes ont été corrigés dans la version 2.7.10-4 de libapache-mod-python et dans la version 3.1.3-3 de libapache2-mod-python.

Nous vous recommandons de mettre à jour votre paquet libapache-mod-python.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody5.dsc
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody5.diff.gz
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody5_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody5_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody5_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody5_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody5_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody5_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody5_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody5_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody5_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody5_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody5_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.